Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class UnmodifiableIterator<E>

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<E>

All Implemented Interfaces:
  Iterator<E>

Direct Known Subclasses:
  AbstractIterator, AbstractLinkedIterator, AbstractSequentialIterator, UnmodifiableListIterator

    @GwtCompatible
    public abstract class UnmodifiableIterator<E>

extends Object
implements Iterator<E>

An iterator that does not support `remove()`.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Jared Levy

Constructor Summary
`protected` | `UnmodifiableIterator()` Constructor for use by subclasses.

Method Summary
`void` | `remove()` Guaranteed to throw an exception and leave the underlying data unmodified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### UnmodifiableIterator

    protected UnmodifiableIterator()

  Constructor for use by subclasses.

Method Detail

### remove

    public final void remove()

  Guaranteed to throw an exception and leave the underlying data unmodified.

  Specified by:
    `remove` in interface `Iterator<E>`
  Throws:
    `UnsupportedOperationException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.